# 2.3.6 (7eab80676): /etc/dovecot/dovecot.conf
# Pigeonhole version 0.5.6 (92dc263a)
# OS: Linux 4.9.0-9-amd64 x86_64 Debian 9.9 
auth_mechanisms = plain login
default_client_limit = 1024
deliver_log_format = from=<%f>: %$
dict {
  quota = mysql:/etc/dovecot/dovecot-dict-sql.conf.ext
}
disable_plaintext_auth = no
first_valid_gid = 114
first_valid_uid = 111
last_valid_gid = 114
last_valid_uid = 111
lda_mailbox_autocreate = yes
listen = *
mail_fsync = never
mail_location = maildir:~/Maildir
mail_plugins = quota
managesieve_notify_capability = mailto
managesieve_sieve_capability = fileinto reject envelope encoded-character vacation subaddress comparator-i;ascii-numeric relational regex imap4flags copy include variables body enotify environment mailbox date index ihave duplicate mime foreverypart extracttext vacation-seconds
mmap_disable = yes
namespace inbox {
  inbox = yes
  location = 
  mailbox Drafts {
    auto = subscribe
    special_use = \Drafts
  }
  mailbox Junk {
    special_use = \Junk
  }
  mailbox Sent {
    auto = subscribe
    special_use = \Sent
  }
  mailbox "Sent Messages" {
    special_use = \Sent
  }
  mailbox Trash {
    auto = subscribe
    special_use = \Trash
  }
  prefix = 
}
passdb {
  args = /etc/dovecot/dovecot-sql.conf.ext
  driver = sql
}
plugin {
  quota = dict:User quota::proxy::quota
  quota_exceeded_message = User quota exceed
  quota_warning = storage=99%% quota-warning 99 %u
  quota_warning2 = storage=95%% quota-warning 95 %u
  quota_warning3 = storage=90%% quota-warning 90 %u
  quota_warning4 = storage=80%% quota-warning 80 %u
  quota_warning5 = storage=75%% quota-warning 75 %u
  sieve = file:~/sieve;active=~/.dovecot.sieve
  sieve_extensions = +vacation-seconds
  sieve_vacation_default_period = 0
  sieve_vacation_max_period = 1d
  sieve_vacation_min_period = 0
}
protocols = " imap lmtp sieve pop3"
service anvil {
  client_limit = 3448
}
service auth {
  client_limit = 3448
  unix_listener /var/spool/postfix/private/auth {
    mode = 0666
  }
  unix_listener auth-userdb {
    mode = 0666
  }
}
service dict {
  unix_listener dict {
    group = vmail
    mode = 0600
    user = vmail
  }
}
service imap-login {
  process_limit = 3048
  service_count = 500
}
service imap {
  client_limit = 1
  process_limit = 8192
}
service lmtp {
  executable = lmtp -L
  process_min_avail = 5
  unix_listener /var/spool/postfix/private/dovecot-lmtp {
    group = postfix
    mode = 0600
    user = postfix
  }
  user = vmail
}
service managesieve-login {
  inet_listener sieve {
    port = 4190
  }
  process_min_avail = 0
  service_count = 0
  vsz_limit = 100 M
}
service pop3-login {
  service_count = 0
}
service quota-warning {
  executable = script /etc/dovecot/quota-warning.sh
  unix_listener quota-warning {
    user = vmail
  }
  user = vmail
}
service stats {
  unix_listener stats-reader {
    group = vmail
    mode = 0666
    user = vmail
  }
  unix_listener stats-writer {
    user = vmail
  }
}
ssl_cert = </etc/dovecot/ssl/dovecot.crt
ssl_client_ca_dir = /etc/ssl/certs
ssl_dh = # hidden, use -P to show it
ssl_key = # hidden, use -P to show it
syslog_facility = local0
userdb {
  args = /etc/dovecot/dovecot-sql.conf.ext
  driver = sql
}
verbose_proctitle = yes
protocol lmtp {
  mail_fsync = optimized
  mail_plugins = quota sieve
}
protocol imap {
  imap_capability = +XLIST
}
local 1.1.1.1 {
  ssl_cert = </etc/dovecot/ssl/mail.crt
  ssl_key = # hidden, use -P to show it
}
local 1.1.1.1 {
  protocol sieve {
    mail_max_userip_connections = 20
  }
}
local 1.1.1.1 {
  protocol imap {
    mail_max_userip_connections = 20
    mail_plugins = quota imap_quota
  }
}
local 1.1.1.1 {
  protocol pop3 {
    mail_plugins = quota
  }
}
